<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dragon_config', function (Blueprint $table) {
            $table->id();
            $table->string('title')->comment('接龙名');
            $table->text('config')->comment('配置');
            $table->tinyInteger('status')->default(0)->comment('是否开启 0：关闭 1：打开');
            $table->tinyInteger('open_rank')->default(0)->comment("是否开启排行版 0:不开启 1：开启");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dragon_config');
    }
};
